Skip to main content
GET
List all shipments

Authorizations

Authorization
string
header
required

API access token generated from the UniUni Platform dashboard.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
pageSize
integer
default:10

Results per page.

Required range: x <= 500
status
enum<string>

Filter by shipment status. Shipment status.

Available options:
DRAFT,
PENDING,
PENDING_REVIEW,
PICKUP_REQUESTED,
PICKUP_CANCELLED,
PARTNER_RECEIVED,
PICKED_UP,
RECEIVED,
GATEWAY_TRANSIT,
PARCEL_SCANNED,
TRANSSHIPMENT_COMPLETE,
IN_TRANSIT,
OUT_FOR_DELIVERY,
DELIVERED,
SHIPMENT_EXCEPTION,
AGED_OUT,
RETURNED,
CANCELLED,
STORAGE,
FAILED,
FAILED_DELIVERY1,
FAILED_DELIVERY2,
GATEWAY_TO_GATEWAY_TRANSIT,
GATEWAY_TRANSIT_OUT
fromDate
string<date>

Filter shipments created on or after this date (YYYY-MM-DD).

toDate
string<date>

Filter shipments created on or before this date (YYYY-MM-DD).

query
string

Search keyword. Matches against order number, tracking ID, recipient name, phone, or email.

Response

200 - application/json

Paginated list of shipments

message
string
required

Additional information about the request status.

code
integer
required

Status code. 0 indicates success.

data
object